I ma using Blender 2.5.2, and I use PcLinuxOS 2009. I can't get Blender to work after I changed video cards.

I use the NVIDIA GeForce 2 Pro, or something like that. I sought to it that the module worked and stuff. But I get an error from blender giving me the idea that it might be OpenGL. Here is the error:

Compiled with Python version 2.5.2.
Checking for installed Python... got it!
Xlib: extension "GLX" missing on display ":0.0".
intern/ghost/intern/GHOST_WindowX11.cpp:177: X11 glxChooseVisual() failed for OpenGL, verify working openGL system!
X Error of failed request: BadWindow (invalid Window parameter)
Major opcode of failed request: 18 (X_ChangeProperty)
Resource id in failed request: 0xb68f0570
Serial number of failed request: 21
Current serial number in output stream: 22
Any ideas what it might be?